import{S as xr,i as Cr,s as Lr,e as o,k as l,w as u,t as a,M as Er,c as i,d as n,m as p,a as s,x as h,h as r,b as c,G as e,g as I,y as _,q as b,o as v,B as P,v as kr,L as bo}from"../../../chunks/vendor-hf-doc-builder.js";import{D as S}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as It}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as lt}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as _o}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Sr(z){let g,k,$,m,C;return m=new It({props:{code:`import torch
from diffusers import StableUnCLIPPipeline

pipe = StableUnCLIPPipeline.from_pretrained(
    "fusing/stable-unclip-2-1-l", torch_dtype=torch.float16
)  # TODO update model path
pipe = pipe.to("cuda")

prompt = "a photo of an astronaut riding a horse on mars"
images = pipe(prompt).images
images[0].save("astronaut_horse.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableUnCLIPPipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = StableUnCLIPPipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;fusing/stable-unclip-2-1-l&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)  <span class="hljs-comment"># TODO update model path</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;a photo of an astronaut riding a horse on mars&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>images = pipe(prompt).images
<span class="hljs-meta">&gt;&gt;&gt; </span>images[<span class="hljs-number">0</span>].save(<span class="hljs-string">&quot;astronaut_horse.png&quot;</span>)`}}),{c(){g=o("p"),k=a("Examples:"),$=l(),u(m.$$.fragment)},l(d){g=i(d,"P",{});var y=s(g);k=r(y,"Examples:"),y.forEach(n),$=p(d),h(m.$$.fragment,d)},m(d,y){I(d,g,y),e(g,k),I(d,$,y),_(m,d,y),C=!0},p:bo,i(d){C||(b(m.$$.fragment,d),C=!0)},o(d){v(m.$$.fragment,d),C=!1},d(d){d&&n(g),d&&n($),P(m,d)}}}function Ur(z){let g,k,$,m,C;return m=new It({props:{code:`import torch
from diffusers import DiffusionPipeline
from xformers.ops import MemoryEfficientAttentionFlashAttentionOp

pipe = DiffusionPipeline.from_pretrained("stabilityai/stable-diffusion-2-1", torch_dtype=torch.float16)
pipe = pipe.to("cuda")
pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
# Workaround for not accepting attention shape using VAE for Flash Attention
pipe.vae.enable_xformers_memory_efficient_attention(attention_op=None)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> xformers.ops <span class="hljs-keyword">import</span> MemoryEfficientAttentionFlashAttentionOp

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1&quot;</span>, torch_dtype=torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Workaround for not accepting attention shape using VAE for Flash Attention</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.vae.enable_xformers_memory_efficient_attention(attention_op=<span class="hljs-literal">None</span>)`}}),{c(){g=o("p"),k=a("Examples:"),$=l(),u(m.$$.fragment)},l(d){g=i(d,"P",{});var y=s(g);k=r(y,"Examples:"),y.forEach(n),$=p(d),h(m.$$.fragment,d)},m(d,y){I(d,g,y),e(g,k),I(d,$,y),_(m,d,y),C=!0},p:bo,i(d){C||(b(m.$$.fragment,d),C=!0)},o(d){v(m.$$.fragment,d),C=!1},d(d){d&&n(g),d&&n($),P(m,d)}}}function Tr(z){let g,k,$,m,C;return m=new It({props:{code:`import requests
import torch
from PIL import Image
from io import BytesIO

from diffusers import StableUnCLIPImg2ImgPipeline

pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
    "fusing/stable-unclip-2-1-l-img2img", torch_dtype=torch.float16
)  # TODO update model path
pipe = pipe.to("cuda")

url = "https://raw.githubusercontent.com/CompVis/stable-diffusion/main/assets/stable-samples/img2img/sketch-mountains-input.jpg"

response = requests.get(url)
init_image = Image.open(BytesIO(response.content)).convert("RGB")
init_image = init_image.resize((768, 512))

prompt = "A fantasy landscape, trending on artstation"

images = pipe(prompt, init_image).images
images[0].save("fantasy_landscape.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> io <span class="hljs-keyword">import</span> BytesIO

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableUnCLIPImg2ImgPipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;fusing/stable-unclip-2-1-l-img2img&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)  <span class="hljs-comment"># TODO update model path</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;https://raw.githubusercontent.com/CompVis/stable-diffusion/main/assets/stable-samples/img2img/sketch-mountains-input.jpg&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>response = requests.get(url)
<span class="hljs-meta">&gt;&gt;&gt; </span>init_image = Image.<span class="hljs-built_in">open</span>(BytesIO(response.content)).convert(<span class="hljs-string">&quot;RGB&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>init_image = init_image.resize((<span class="hljs-number">768</span>, <span class="hljs-number">512</span>))

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;A fantasy landscape, trending on artstation&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>images = pipe(prompt, init_image).images
<span class="hljs-meta">&gt;&gt;&gt; </span>images[<span class="hljs-number">0</span>].save(<span class="hljs-string">&quot;fantasy_landscape.png&quot;</span>)`}}),{c(){g=o("p"),k=a("Examples:"),$=l(),u(m.$$.fragment)},l(d){g=i(d,"P",{});var y=s(g);k=r(y,"Examples:"),y.forEach(n),$=p(d),h(m.$$.fragment,d)},m(d,y){I(d,g,y),e(g,k),I(d,$,y),_(m,d,y),C=!0},p:bo,i(d){C||(b(m.$$.fragment,d),C=!0)},o(d){v(m.$$.fragment,d),C=!1},d(d){d&&n(g),d&&n($),P(m,d)}}}function jr(z){let g,k,$,m,C;return m=new It({props:{code:`import torch
from diffusers import DiffusionPipeline
from xformers.ops import MemoryEfficientAttentionFlashAttentionOp

pipe = DiffusionPipeline.from_pretrained("stabilityai/stable-diffusion-2-1", torch_dtype=torch.float16)
pipe = pipe.to("cuda")
pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
# Workaround for not accepting attention shape using VAE for Flash Attention
pipe.vae.enable_xformers_memory_efficient_attention(attention_op=None)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> xformers.ops <span class="hljs-keyword">import</span> MemoryEfficientAttentionFlashAttentionOp

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1&quot;</span>, torch_dtype=torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Workaround for not accepting attention shape using VAE for Flash Attention</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.vae.enable_xformers_memory_efficient_attention(attention_op=<span class="hljs-literal">None</span>)`}}),{c(){g=o("p"),k=a("Examples:"),$=l(),u(m.$$.fragment)},l(d){g=i(d,"P",{});var y=s(g);k=r(y,"Examples:"),y.forEach(n),$=p(d),h(m.$$.fragment,d)},m(d,y){I(d,g,y),e(g,k),I(d,$,y),_(m,d,y),C=!0},p:bo,i(d){C||(b(m.$$.fragment,d),C=!0)},o(d){v(m.$$.fragment,d),C=!1},d(d){d&&n(g),d&&n($),P(m,d)}}}function Dr(z){let g,k,$,m,C,d,y,yt,vo,kn,ne,Po,pt,Io,yo,Sn,R,oe,$t,Ie,$o,wt,wo,Un,j,xo,xt,Co,Lo,Ct,Eo,ko,Lt,So,Uo,Et,To,jo,Tn,J,ie,kt,ye,Do,St,Ao,jn,dt,Oo,Dn,Q,se,Ut,$e,qo,Tt,zo,An,we,On,X,ae,jt,xe,No,Dt,Fo,qn,Ce,zn,Y,re,At,Le,Vo,Ot,Mo,Nn,w,Ee,Wo,qt,Go,Bo,ke,Ko,ct,Ho,Ro,Jo,N,Se,Qo,zt,Xo,Yo,le,Zo,F,Ue,ei,Nt,ti,ni,Ft,oi,ii,pe,Te,si,je,ai,Vt,ri,li,pi,V,De,di,Mt,ci,mi,Wt,fi,gi,de,Ae,ui,Oe,hi,Gt,_i,bi,vi,D,qe,Pi,Bt,Ii,yi,Kt,$i,wi,Ht,xi,Ci,ce,Li,me,ze,Ei,Rt,ki,Si,fe,Ne,Ui,Fe,Ti,Jt,ji,Di,Ai,U,Ve,Oi,Z,qi,Qt,zi,Ni,Xt,Fi,Vi,Mi,Yt,Wi,Gi,Me,Zt,Bi,Ki,en,Hi,Ri,We,Ji,tn,Qi,Xi,Yi,nn,Zi,Fn,ee,ge,on,Ge,es,sn,ts,Vn,x,Be,ns,an,os,is,Ke,ss,mt,as,rs,ls,M,He,ps,rn,ds,cs,ue,ms,W,Re,fs,ln,gs,us,pn,hs,_s,he,Je,bs,Qe,vs,dn,Ps,Is,ys,G,Xe,$s,cn,ws,xs,mn,Cs,Ls,_e,Ye,Es,Ze,ks,fn,Ss,Us,Ts,A,et,js,gn,Ds,As,un,Os,qs,hn,zs,Ns,be,Fs,ve,tt,Vs,_n,Ms,Ws,Pe,nt,Gs,ot,Bs,bn,Ks,Hs,Rs,T,it,Js,te,Qs,vn,Xs,Ys,Pn,Zs,ea,ta,In,na,oa,st,yn,ia,sa,$n,aa,ra,at,la,wn,pa,da,ca,xn,ma,Mn;return d=new lt({}),Ie=new lt({}),ye=new lt({}),$e=new lt({}),we=new It({props:{code:`import torch
from diffusers import StableUnCLIPPipeline

pipe = StableUnCLIPPipeline.from_pretrained(
    "fusing/stable-unclip-2-1-l", torch_dtype=torch.float16
)  # TODO update model path
pipe = pipe.to("cuda")

prompt = "a photo of an astronaut riding a horse on mars"
images = pipe(prompt).images
images[0].save("astronaut_horse.png")`,highlighted:`<span class="hljs-keyword">import</span> torch
<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableUnCLIPPipeline

pipe = StableUnCLIPPipeline.from_pretrained(
    <span class="hljs-string">&quot;fusing/stable-unclip-2-1-l&quot;</span>, torch_dtype=torch.float16
)  <span class="hljs-comment"># TODO update model path</span>
pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

prompt = <span class="hljs-string">&quot;a photo of an astronaut riding a horse on mars&quot;</span>
images = pipe(prompt).images
images[<span class="hljs-number">0</span>].save(<span class="hljs-string">&quot;astronaut_horse.png&quot;</span>)`}}),xe=new lt({}),Ce=new It({props:{code:`import requests
import torch
from PIL import Image
from io import BytesIO

from diffusers import StableUnCLIPImg2ImgPipeline

pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
    "fusing/stable-unclip-2-1-l-img2img", torch_dtype=torch.float16
)  # TODO update model path
pipe = pipe.to("cuda")

url = "https://raw.githubusercontent.com/CompVis/stable-diffusion/main/assets/stable-samples/img2img/sketch-mountains-input.jpg"

response = requests.get(url)
init_image = Image.open(BytesIO(response.content)).convert("RGB")
init_image = init_image.resize((768, 512))

prompt = "A fantasy landscape, trending on artstation"

images = pipe(prompt, init_image).images
images[0].save("fantasy_landscape.png")`,highlighted:`<span class="hljs-keyword">import</span> requests
<span class="hljs-keyword">import</span> torch
<span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-keyword">from</span> io <span class="hljs-keyword">import</span> BytesIO

<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableUnCLIPImg2ImgPipeline

pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
    <span class="hljs-string">&quot;fusing/stable-unclip-2-1-l-img2img&quot;</span>, torch_dtype=torch.float16
)  <span class="hljs-comment"># TODO update model path</span>
pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

url = <span class="hljs-string">&quot;https://raw.githubusercontent.com/CompVis/stable-diffusion/main/assets/stable-samples/img2img/sketch-mountains-input.jpg&quot;</span>

response = requests.get(url)
init_image = Image.<span class="hljs-built_in">open</span>(BytesIO(response.content)).convert(<span class="hljs-string">&quot;RGB&quot;</span>)
init_image = init_image.resize((<span class="hljs-number">768</span>, <span class="hljs-number">512</span>))

prompt = <span class="hljs-string">&quot;A fantasy landscape, trending on artstation&quot;</span>

images = pipe(prompt, init_image).images
images[<span class="hljs-number">0</span>].save(<span class="hljs-string">&quot;fantasy_landscape.png&quot;</span>)`}}),Le=new lt({}),Ee=new S({props:{name:"class diffusers.StableUnCLIPPipeline",anchor:"diffusers.StableUnCLIPPipeline",parameters:[{name:"prior_tokenizer",val:": CLIPTokenizer"},{name:"prior_text_encoder",val:": CLIPTextModelWithProjection"},{name:"prior",val:": PriorTransformer"},{name:"prior_scheduler",val:": KarrasDiffusionSchedulers"},{name:"image_normalizer",val:": StableUnCLIPImageNormalizer"},{name:"image_noising_scheduler",val:": KarrasDiffusionSchedulers"},{name:"tokenizer",val:": CLIPTokenizer"},{name:"text_encoder",val:": CLIPTextModelWithProjection"},{name:"unet",val:": UNet2DConditionModel"},{name:"scheduler",val:": KarrasDiffusionSchedulers"},{name:"vae",val:": AutoencoderKL"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPPipeline.prior_tokenizer",description:`<strong>prior_tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"prior_tokenizer"},{anchor:"diffusers.StableUnCLIPPipeline.prior_text_encoder",description:`<strong>prior_text_encoder</strong> (<code>CLIPTextModelWithProjection</code>) &#x2014;
Frozen text-encoder.`,name:"prior_text_encoder"},{anchor:"diffusers.StableUnCLIPPipeline.prior",description:`<strong>prior</strong> (<a href="/docs/diffusers/pr_2715/en/api/models#diffusers.PriorTransformer">PriorTransformer</a>) &#x2014;
The canonincal unCLIP prior to approximate the image embedding from the text embedding.`,name:"prior"},{anchor:"diffusers.StableUnCLIPPipeline.prior_scheduler",description:`<strong>prior_scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
Scheduler used in the prior denoising process.`,name:"prior_scheduler"},{anchor:"diffusers.StableUnCLIPPipeline.image_normalizer",description:`<strong>image_normalizer</strong> (<code>StableUnCLIPImageNormalizer</code>) &#x2014;
Used to normalize the predicted image embeddings before the noise is applied and un-normalize the image
embeddings after the noise has been applied.`,name:"image_normalizer"},{anchor:"diffusers.StableUnCLIPPipeline.image_noising_scheduler",description:`<strong>image_noising_scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
Noise schedule for adding noise to the predicted image embeddings. The amount of noise to add is determined
by <code>noise_level</code> in <code>StableUnCLIPPipeline.__call__</code>.`,name:"image_noising_scheduler"},{anchor:"diffusers.StableUnCLIPPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.StableUnCLIPPipeline.text_encoder",description:`<strong>text_encoder</strong> (<code>CLIPTextModel</code>) &#x2014;
Frozen text-encoder.`,name:"text_encoder"},{anchor:"diffusers.StableUnCLIPPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/pr_2715/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.StableUnCLIPPipeline.scheduler",description:`<strong>scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents.`,name:"scheduler"},{anchor:"diffusers.StableUnCLIPPipeline.vae",description:`<strong>vae</strong> (<a href="/docs/diffusers/pr_2715/en/api/models#diffusers.AutoencoderKL">AutoencoderKL</a>) &#x2014;
Variational Auto-Encoder (VAE) Model to encode and decode images to and from latent representations.`,name:"vae"}],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L50"}}),Se=new S({props:{name:"__call__",anchor:"diffusers.StableUnCLIPPipeline.__call__",parameters:[{name:"prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 20"},{name:"guidance_scale",val:": float = 10.0"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"negative_prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": int = 1"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"noise_level",val:": int = 0"},{name:"prior_num_inference_steps",val:": int = 25"},{name:"prior_guidance_scale",val:": float = 4.0"},{name:"prior_latents",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPPipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts to guide the image generation. If not defined, one has to pass <code>prompt_embeds</code>.
instead.`,name:"prompt"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 20) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 10.0) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. If not defined, one has to pass
<code>negative_prompt_embeds</code>. instead. If not defined, one has to pass <code>negative_prompt_embeds</code>. instead.
Ignored when not using guidance (i.e., ignored if <code>guidance_scale</code> is less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/pr_2715/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code> or <code>List[torch.Generator]</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.prompt_embeds",description:`<strong>prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt weighting. If not
provided, text embeddings will be generated from <code>prompt</code> input argument.`,name:"prompt_embeds"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.negative_prompt_embeds",description:`<strong>negative_prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated negative text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt
weighting. If not provided, negative_prompt_embeds will be generated from <code>negative_prompt</code> input
argument.`,name:"negative_prompt_embeds"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2715/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttentionProcessor</code> as defined under
<code>self.processor</code> in
<a href="https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/cross_attention.py" rel="nofollow">diffusers.cross_attention</a>.`,name:"cross_attention_kwargs"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.noise_level",description:`<strong>noise_level</strong> (<code>int</code>, <em>optional</em>, defaults to <code>0</code>) &#x2014;
The amount of noise to add to the image embeddings. A higher <code>noise_level</code> increases the variance in
the final un-noised images. See <code>StableUnCLIPPipeline.noise_image_embeddings</code> for details.`,name:"noise_level"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.prior_num_inference_steps",description:`<strong>prior_num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 25) &#x2014;
The number of denoising steps in the prior denoising process. More denoising steps usually lead to a
higher quality image at the expense of slower inference.`,name:"prior_num_inference_steps"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.prior_guidance_scale",description:`<strong>prior_guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 4.0) &#x2014;
Guidance scale for the prior denoising process as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion
Guidance</a>. <code>prior_guidance_scale</code> is defined as <code>w</code> of equation 2. of
<a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen Paper</a>. Guidance scale is enabled by setting
<code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to
the text <code>prompt</code>, usually at the expense of lower image quality.`,name:"prior_guidance_scale"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.prior_latents",description:`<strong>prior_latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
embedding generation in the prior denoising process. Can be used to tweak the same generation with
different prompts. If not provided, a latents tensor will ge generated by sampling using the supplied
random <code>generator</code>.`,name:"prior_latents"}],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L603",returnDescription:`
<p><code>~ pipeline_utils.ImagePipelineOutput</code> if <code>return_dict</code> is
True, otherwise a <code>tuple</code>. When returning a tuple, the first element is a list with the generated images.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2715/en/api/diffusion_pipeline#diffusers.ImagePipelineOutput"
>ImagePipelineOutput</a> or <code>tuple</code></p>
`}}),le=new _o({props:{anchor:"diffusers.StableUnCLIPPipeline.__call__.example",$$slots:{default:[Sr]},$$scope:{ctx:z}}}),Ue=new S({props:{name:"enable_attention_slicing",anchor:"diffusers.StableUnCLIPPipeline.enable_attention_slicing",parameters:[{name:"slice_size",val:": typing.Union[str, int, NoneType] = 'auto'"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPPipeline.enable_attention_slicing.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maximum amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/pipeline_utils.py#L1344"}}),Te=new S({props:{name:"disable_attention_slicing",anchor:"diffusers.StableUnCLIPPipeline.disable_attention_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/pipeline_utils.py#L1360"}}),De=new S({props:{name:"enable_vae_slicing",anchor:"diffusers.StableUnCLIPPipeline.enable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L140"}}),Ae=new S({props:{name:"disable_vae_slicing",anchor:"diffusers.StableUnCLIPPipeline.disable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L150"}}),qe=new S({props:{name:"enable_xformers_memory_efficient_attention",anchor:"diffusers.StableUnCLIPPipeline.enable_xformers_memory_efficient_attention",parameters:[{name:"attention_op",val:": typing.Optional[typing.Callable] = None"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPPipeline.enable_xformers_memory_efficient_attention.attention_op",description:`<strong>attention_op</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
Override the default <code>None</code> operator for use as <code>op</code> argument to the
<a href="https://facebookresearch.github.io/xformers/components/ops.html#xformers.ops.memory_efficient_attention" rel="nofollow"><code>memory_efficient_attention()</code></a>
function of xFormers.`,name:"attention_op"}],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/pipeline_utils.py#L1287"}}),ce=new _o({props:{anchor:"diffusers.StableUnCLIPPipeline.enable_xformers_memory_efficient_attention.example",$$slots:{default:[Ur]},$$scope:{ctx:z}}}),ze=new S({props:{name:"disable_xformers_memory_efficient_attention",anchor:"diffusers.StableUnCLIPPipeline.disable_xformers_memory_efficient_attention",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/pipeline_utils.py#L1319"}}),Ne=new S({props:{name:"enable_sequential_cpu_offload",anchor:"diffusers.StableUnCLIPPipeline.enable_sequential_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L157"}}),Ve=new S({props:{name:"noise_image_embeddings",anchor:"diffusers.StableUnCLIPPipeline.noise_image_embeddings",parameters:[{name:"image_embeds",val:": Tensor"},{name:"noise_level",val:": int"},{name:"noise",val:": typing.Optional[torch.FloatTensor] = None"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"}],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L558"}}),Ge=new lt({}),Be=new S({props:{name:"class diffusers.StableUnCLIPImg2ImgPipeline",anchor:"diffusers.StableUnCLIPImg2ImgPipeline",parameters:[{name:"feature_extractor",val:": CLIPFeatureExtractor"},{name:"image_encoder",val:": CLIPVisionModelWithProjection"},{name:"image_normalizer",val:": StableUnCLIPImageNormalizer"},{name:"image_noising_scheduler",val:": KarrasDiffusionSchedulers"},{name:"tokenizer",val:": CLIPTokenizer"},{name:"text_encoder",val:": CLIPTextModel"},{name:"unet",val:": UNet2DConditionModel"},{name:"scheduler",val:": KarrasDiffusionSchedulers"},{name:"vae",val:": AutoencoderKL"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<code>CLIPFeatureExtractor</code>) &#x2014;
Feature extractor for image pre-processing before being encoded.`,name:"feature_extractor"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.image_encoder",description:`<strong>image_encoder</strong> (<code>CLIPVisionModelWithProjection</code>) &#x2014;
CLIP vision model for encoding images.`,name:"image_encoder"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.image_normalizer",description:`<strong>image_normalizer</strong> (<code>StableUnCLIPImageNormalizer</code>) &#x2014;
Used to normalize the predicted image embeddings before the noise is applied and un-normalize the image
embeddings after the noise has been applied.`,name:"image_normalizer"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.image_noising_scheduler",description:`<strong>image_noising_scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
Noise schedule for adding noise to the predicted image embeddings. The amount of noise to add is determined
by <code>noise_level</code> in <code>StableUnCLIPPipeline.__call__</code>.`,name:"image_noising_scheduler"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.text_encoder",description:`<strong>text_encoder</strong> (<code>CLIPTextModel</code>) &#x2014;
Frozen text-encoder.`,name:"text_encoder"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/pr_2715/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.scheduler",description:`<strong>scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents.`,name:"scheduler"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.vae",description:`<strong>vae</strong> (<a href="/docs/diffusers/pr_2715/en/api/models#diffusers.AutoencoderKL">AutoencoderKL</a>) &#x2014;
Variational Auto-Encoder (VAE) Model to encode and decode images to and from latent representations.`,name:"vae"}],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L63"}}),He=new S({props:{name:"__call__",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__",parameters:[{name:"prompt",val:": typing.Union[str, typing.List[str]] = None"},{name:"image",val:": typing.Union[torch.FloatTensor, PIL.Image.Image] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 20"},{name:"guidance_scale",val:": float = 10"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"negative_prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": int = 1"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"noise_level",val:": int = 0"},{name:"image_embeds",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts to guide the image generation. If not defined, one has to pass <code>prompt_embeds</code>.
instead.`,name:"prompt"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.image",description:`<strong>image</strong> (<code>torch.FloatTensor</code> or <code>PIL.Image.Image</code>) &#x2014;
<code>Image</code>, or tensor representing an image batch. The image will be encoded to its CLIP embedding which
the unet will be conditioned on. Note that the image is <em>not</em> encoded by the vae and then used as the
latents in the denoising process such as in the standard stable diffusion text guided image variation
process.`,name:"image"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 20) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 10.0) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. If not defined, one has to pass
<code>negative_prompt_embeds</code>. instead. If not defined, one has to pass <code>negative_prompt_embeds</code>. instead.
Ignored when not using guidance (i.e., ignored if <code>guidance_scale</code> is less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/pr_2715/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code> or <code>List[torch.Generator]</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.prompt_embeds",description:`<strong>prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt weighting. If not
provided, text embeddings will be generated from <code>prompt</code> input argument.`,name:"prompt_embeds"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.negative_prompt_embeds",description:`<strong>negative_prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated negative text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt
weighting. If not provided, negative_prompt_embeds will be generated from <code>negative_prompt</code> input
argument.`,name:"negative_prompt_embeds"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2715/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttentionProcessor</code> as defined under
<code>self.processor</code> in
<a href="https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/cross_attention.py" rel="nofollow">diffusers.cross_attention</a>.`,name:"cross_attention_kwargs"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.noise_level",description:`<strong>noise_level</strong> (<code>int</code>, <em>optional</em>, defaults to <code>0</code>) &#x2014;
The amount of noise to add to the image embeddings. A higher <code>noise_level</code> increases the variance in
the final un-noised images. See <code>StableUnCLIPPipeline.noise_image_embeddings</code> for details.`,name:"noise_level"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.image_embeds",description:`<strong>image_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated CLIP embeddings to condition the unet on. Note that these are not latents to be used in
the denoising process. If you want to provide pre-generated latents, pass them to <code>__call__</code> as
<code>latents</code>.`,name:"image_embeds"}],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L570",returnDescription:`
<p><code>~ pipeline_utils.ImagePipelineOutput</code> if <code>return_dict</code> is
True, otherwise a <code>tuple</code>. When returning a tuple, the first element is a list with the generated images.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2715/en/api/diffusion_pipeline#diffusers.ImagePipelineOutput"
>ImagePipelineOutput</a> or <code>tuple</code></p>
`}}),ue=new _o({props:{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.example",$$slots:{default:[Tr]},$$scope:{ctx:z}}}),Re=new S({props:{name:"enable_attention_slicing",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_attention_slicing",parameters:[{name:"slice_size",val:": typing.Union[str, int, NoneType] = 'auto'"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_attention_slicing.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maximum amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/pipeline_utils.py#L1344"}}),Je=new S({props:{name:"disable_attention_slicing",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.disable_attention_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/pipeline_utils.py#L1360"}}),Xe=new S({props:{name:"enable_vae_slicing",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L142"}}),Ye=new S({props:{name:"disable_vae_slicing",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.disable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L152"}}),et=new S({props:{name:"enable_xformers_memory_efficient_attention",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_xformers_memory_efficient_attention",parameters:[{name:"attention_op",val:": typing.Optional[typing.Callable] = None"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_xformers_memory_efficient_attention.attention_op",description:`<strong>attention_op</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
Override the default <code>None</code> operator for use as <code>op</code> argument to the
<a href="https://facebookresearch.github.io/xformers/components/ops.html#xformers.ops.memory_efficient_attention" rel="nofollow"><code>memory_efficient_attention()</code></a>
function of xFormers.`,name:"attention_op"}],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/pipeline_utils.py#L1287"}}),be=new _o({props:{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_xformers_memory_efficient_attention.example",$$slots:{default:[jr]},$$scope:{ctx:z}}}),tt=new S({props:{name:"disable_xformers_memory_efficient_attention",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.disable_xformers_memory_efficient_attention",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/pipeline_utils.py#L1319"}}),nt=new S({props:{name:"enable_sequential_cpu_offload",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_sequential_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L159"}}),it=new S({props:{name:"noise_image_embeddings",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.noise_image_embeddings",parameters:[{name:"image_embeds",val:": Tensor"},{name:"noise_level",val:": int"},{name:"noise",val:": typing.Optional[torch.FloatTensor] = None"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"}],source:"https://github.com/huggingface/diffusers/blob/vr_2715/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L525"}}),{c(){g=o("meta"),k=l(),$=o("h1"),m=o("a"),C=o("span"),u(d.$$.fragment),y=l(),yt=o("span"),vo=a("Stable unCLIP"),kn=l(),ne=o("p"),Po=a("Stable unCLIP checkpoints are finetuned from "),pt=o("a"),Io=a("stable diffusion 2.1"),yo=a(` checkpoints to condition on CLIP image embeddings.
Stable unCLIP also still conditions on text embeddings. Given the two separate conditionings, stable unCLIP can be used
for text guided image variation. When combined with an unCLIP prior, it can also be used for full text to image generation.`),Sn=l(),R=o("h2"),oe=o("a"),$t=o("span"),u(Ie.$$.fragment),$o=l(),wt=o("span"),wo=a("Tips"),Un=l(),j=o("p"),xo=a("Stable unCLIP takes a "),xt=o("code"),Co=a("noise_level"),Lo=a(" as input during inference. "),Ct=o("code"),Eo=a("noise_level"),ko=a(` determines how much noise is added
to the image embeddings. A higher `),Lt=o("code"),So=a("noise_level"),Uo=a(` increases variation in the final un-noised images. By default,
we do not add any additional noise to the image embeddings i.e. `),Et=o("code"),To=a("noise_level = 0"),jo=a("."),Tn=l(),J=o("h3"),ie=o("a"),kt=o("span"),u(ye.$$.fragment),Do=l(),St=o("span"),Ao=a("Available checkpoints:"),jn=l(),dt=o("p"),Oo=a("TODO"),Dn=l(),Q=o("h3"),se=o("a"),Ut=o("span"),u($e.$$.fragment),qo=l(),Tt=o("span"),zo=a("Text-to-Image Generation"),An=l(),u(we.$$.fragment),On=l(),X=o("h3"),ae=o("a"),jt=o("span"),u(xe.$$.fragment),No=l(),Dt=o("span"),Fo=a("Text guided Image-to-Image Variation"),qn=l(),u(Ce.$$.fragment),zn=l(),Y=o("h3"),re=o("a"),At=o("span"),u(Le.$$.fragment),Vo=l(),Ot=o("span"),Mo=a("StableUnCLIPPipeline"),Nn=l(),w=o("div"),u(Ee.$$.fragment),Wo=l(),qt=o("p"),Go=a("Pipeline for text-to-image generation using stable unCLIP."),Bo=l(),ke=o("p"),Ko=a("This model inherits from "),ct=o("a"),Ho=a("DiffusionPipeline"),Ro=a(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Jo=l(),N=o("div"),u(Se.$$.fragment),Qo=l(),zt=o("p"),Xo=a("Function invoked when calling the pipeline for generation."),Yo=l(),u(le.$$.fragment),Zo=l(),F=o("div"),u(Ue.$$.fragment),ei=l(),Nt=o("p"),ti=a("Enable sliced attention computation."),ni=l(),Ft=o("p"),oi=a(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),ii=l(),pe=o("div"),u(Te.$$.fragment),si=l(),je=o("p"),ai=a("Disable sliced attention computation. If "),Vt=o("code"),ri=a("enable_attention_slicing"),li=a(` was previously invoked, this method will go
back to computing attention in one step.`),pi=l(),V=o("div"),u(De.$$.fragment),di=l(),Mt=o("p"),ci=a("Enable sliced VAE decoding."),mi=l(),Wt=o("p"),fi=a(`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),gi=l(),de=o("div"),u(Ae.$$.fragment),ui=l(),Oe=o("p"),hi=a("Disable sliced VAE decoding. If "),Gt=o("code"),_i=a("enable_vae_slicing"),bi=a(` was previously invoked, this method will go back to
computing decoding in one step.`),vi=l(),D=o("div"),u(qe.$$.fragment),Pi=l(),Bt=o("p"),Ii=a("Enable memory efficient attention as implemented in xformers."),yi=l(),Kt=o("p"),$i=a(`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),wi=l(),Ht=o("p"),xi=a(`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),Ci=l(),u(ce.$$.fragment),Li=l(),me=o("div"),u(ze.$$.fragment),Ei=l(),Rt=o("p"),ki=a("Disable memory efficient attention as implemented in xformers."),Si=l(),fe=o("div"),u(Ne.$$.fragment),Ui=l(),Fe=o("p"),Ti=a(`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, the pipeline\u2019s
models have their state dicts saved to CPU and then are moved to a `),Jt=o("code"),ji=a("torch.device('meta') and loaded to GPU only when their specific submodule has its "),Di=a("forward` method called."),Ai=l(),U=o("div"),u(Ve.$$.fragment),Oi=l(),Z=o("p"),qi=a("Add noise to the image embeddings. The amount of noise is controlled by a "),Qt=o("code"),zi=a("noise_level"),Ni=a(` input. A higher
`),Xt=o("code"),Fi=a("noise_level"),Vi=a(" increases the variance in the final un-noised images."),Mi=l(),Yt=o("p"),Wi=a("The noise is applied in two ways"),Gi=l(),Me=o("ol"),Zt=o("li"),Bi=a("A noise schedule is applied directly to the embeddings"),Ki=l(),en=o("li"),Hi=a("A vector of sinusoidal time embeddings are appended to the output."),Ri=l(),We=o("p"),Ji=a("In both cases, the amount of noise is controlled by the same "),tn=o("code"),Qi=a("noise_level"),Xi=a("."),Yi=l(),nn=o("p"),Zi=a("The embeddings are normalized before the noise is applied and un-normalized after the noise is applied."),Fn=l(),ee=o("h3"),ge=o("a"),on=o("span"),u(Ge.$$.fragment),es=l(),sn=o("span"),ts=a("StableUnCLIPImg2ImgPipeline"),Vn=l(),x=o("div"),u(Be.$$.fragment),ns=l(),an=o("p"),os=a("Pipeline for text-guided image to image generation using stable unCLIP."),is=l(),Ke=o("p"),ss=a("This model inherits from "),mt=o("a"),as=a("DiffusionPipeline"),rs=a(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),ls=l(),M=o("div"),u(He.$$.fragment),ps=l(),rn=o("p"),ds=a("Function invoked when calling the pipeline for generation."),cs=l(),u(ue.$$.fragment),ms=l(),W=o("div"),u(Re.$$.fragment),fs=l(),ln=o("p"),gs=a("Enable sliced attention computation."),us=l(),pn=o("p"),hs=a(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),_s=l(),he=o("div"),u(Je.$$.fragment),bs=l(),Qe=o("p"),vs=a("Disable sliced attention computation. If "),dn=o("code"),Ps=a("enable_attention_slicing"),Is=a(` was previously invoked, this method will go
back to computing attention in one step.`),ys=l(),G=o("div"),u(Xe.$$.fragment),$s=l(),cn=o("p"),ws=a("Enable sliced VAE decoding."),xs=l(),mn=o("p"),Cs=a(`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),Ls=l(),_e=o("div"),u(Ye.$$.fragment),Es=l(),Ze=o("p"),ks=a("Disable sliced VAE decoding. If "),fn=o("code"),Ss=a("enable_vae_slicing"),Us=a(` was previously invoked, this method will go back to
computing decoding in one step.`),Ts=l(),A=o("div"),u(et.$$.fragment),js=l(),gn=o("p"),Ds=a("Enable memory efficient attention as implemented in xformers."),As=l(),un=o("p"),Os=a(`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),qs=l(),hn=o("p"),zs=a(`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),Ns=l(),u(be.$$.fragment),Fs=l(),ve=o("div"),u(tt.$$.fragment),Vs=l(),_n=o("p"),Ms=a("Disable memory efficient attention as implemented in xformers."),Ws=l(),Pe=o("div"),u(nt.$$.fragment),Gs=l(),ot=o("p"),Bs=a(`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, the pipeline\u2019s
models have their state dicts saved to CPU and then are moved to a `),bn=o("code"),Ks=a("torch.device('meta') and loaded to GPU only when their specific submodule has its "),Hs=a("forward` method called."),Rs=l(),T=o("div"),u(it.$$.fragment),Js=l(),te=o("p"),Qs=a("Add noise to the image embeddings. The amount of noise is controlled by a "),vn=o("code"),Xs=a("noise_level"),Ys=a(` input. A higher
`),Pn=o("code"),Zs=a("noise_level"),ea=a(" increases the variance in the final un-noised images."),ta=l(),In=o("p"),na=a("The noise is applied in two ways"),oa=l(),st=o("ol"),yn=o("li"),ia=a("A noise schedule is applied directly to the embeddings"),sa=l(),$n=o("li"),aa=a("A vector of sinusoidal time embeddings are appended to the output."),ra=l(),at=o("p"),la=a("In both cases, the amount of noise is controlled by the same "),wn=o("code"),pa=a("noise_level"),da=a("."),ca=l(),xn=o("p"),ma=a("The embeddings are normalized before the noise is applied and un-normalized after the noise is applied."),this.h()},l(t){const f=Er('[data-svelte="svelte-1phssyn"]',document.head);g=i(f,"META",{name:!0,content:!0}),f.forEach(n),k=p(t),$=i(t,"H1",{class:!0});var rt=s($);m=i(rt,"A",{id:!0,class:!0,href:!0});var Cn=s(m);C=i(Cn,"SPAN",{});var Ln=s(C);h(d.$$.fragment,Ln),Ln.forEach(n),Cn.forEach(n),y=p(rt),yt=i(rt,"SPAN",{});var En=s(yt);vo=r(En,"Stable unCLIP"),En.forEach(n),rt.forEach(n),kn=p(t),ne=i(t,"P",{});var Wn=s(ne);Po=r(Wn,"Stable unCLIP checkpoints are finetuned from "),pt=i(Wn,"A",{href:!0});var fa=s(pt);Io=r(fa,"stable diffusion 2.1"),fa.forEach(n),yo=r(Wn,` checkpoints to condition on CLIP image embeddings.
Stable unCLIP also still conditions on text embeddings. Given the two separate conditionings, stable unCLIP can be used
for text guided image variation. When combined with an unCLIP prior, it can also be used for full text to image generation.`),Wn.forEach(n),Sn=p(t),R=i(t,"H2",{class:!0});var Gn=s(R);oe=i(Gn,"A",{id:!0,class:!0,href:!0});var ga=s(oe);$t=i(ga,"SPAN",{});var ua=s($t);h(Ie.$$.fragment,ua),ua.forEach(n),ga.forEach(n),$o=p(Gn),wt=i(Gn,"SPAN",{});var ha=s(wt);wo=r(ha,"Tips"),ha.forEach(n),Gn.forEach(n),Un=p(t),j=i(t,"P",{});var B=s(j);xo=r(B,"Stable unCLIP takes a "),xt=i(B,"CODE",{});var _a=s(xt);Co=r(_a,"noise_level"),_a.forEach(n),Lo=r(B," as input during inference. "),Ct=i(B,"CODE",{});var ba=s(Ct);Eo=r(ba,"noise_level"),ba.forEach(n),ko=r(B,` determines how much noise is added
to the image embeddings. A higher `),Lt=i(B,"CODE",{});var va=s(Lt);So=r(va,"noise_level"),va.forEach(n),Uo=r(B,` increases variation in the final un-noised images. By default,
we do not add any additional noise to the image embeddings i.e. `),Et=i(B,"CODE",{});var Pa=s(Et);To=r(Pa,"noise_level = 0"),Pa.forEach(n),jo=r(B,"."),B.forEach(n),Tn=p(t),J=i(t,"H3",{class:!0});var Bn=s(J);ie=i(Bn,"A",{id:!0,class:!0,href:!0});var Ia=s(ie);kt=i(Ia,"SPAN",{});var ya=s(kt);h(ye.$$.fragment,ya),ya.forEach(n),Ia.forEach(n),Do=p(Bn),St=i(Bn,"SPAN",{});var $a=s(St);Ao=r($a,"Available checkpoints:"),$a.forEach(n),Bn.forEach(n),jn=p(t),dt=i(t,"P",{});var wa=s(dt);Oo=r(wa,"TODO"),wa.forEach(n),Dn=p(t),Q=i(t,"H3",{class:!0});var Kn=s(Q);se=i(Kn,"A",{id:!0,class:!0,href:!0});var xa=s(se);Ut=i(xa,"SPAN",{});var Ca=s(Ut);h($e.$$.fragment,Ca),Ca.forEach(n),xa.forEach(n),qo=p(Kn),Tt=i(Kn,"SPAN",{});var La=s(Tt);zo=r(La,"Text-to-Image Generation"),La.forEach(n),Kn.forEach(n),An=p(t),h(we.$$.fragment,t),On=p(t),X=i(t,"H3",{class:!0});var Hn=s(X);ae=i(Hn,"A",{id:!0,class:!0,href:!0});var Ea=s(ae);jt=i(Ea,"SPAN",{});var ka=s(jt);h(xe.$$.fragment,ka),ka.forEach(n),Ea.forEach(n),No=p(Hn),Dt=i(Hn,"SPAN",{});var Sa=s(Dt);Fo=r(Sa,"Text guided Image-to-Image Variation"),Sa.forEach(n),Hn.forEach(n),qn=p(t),h(Ce.$$.fragment,t),zn=p(t),Y=i(t,"H3",{class:!0});var Rn=s(Y);re=i(Rn,"A",{id:!0,class:!0,href:!0});var Ua=s(re);At=i(Ua,"SPAN",{});var Ta=s(At);h(Le.$$.fragment,Ta),Ta.forEach(n),Ua.forEach(n),Vo=p(Rn),Ot=i(Rn,"SPAN",{});var ja=s(Ot);Mo=r(ja,"StableUnCLIPPipeline"),ja.forEach(n),Rn.forEach(n),Nn=p(t),w=i(t,"DIV",{class:!0});var L=s(w);h(Ee.$$.fragment,L),Wo=p(L),qt=i(L,"P",{});var Da=s(qt);Go=r(Da,"Pipeline for text-to-image generation using stable unCLIP."),Da.forEach(n),Bo=p(L),ke=i(L,"P",{});var Jn=s(ke);Ko=r(Jn,"This model inherits from "),ct=i(Jn,"A",{href:!0});var Aa=s(ct);Ho=r(Aa,"DiffusionPipeline"),Aa.forEach(n),Ro=r(Jn,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Jn.forEach(n),Jo=p(L),N=i(L,"DIV",{class:!0});var ft=s(N);h(Se.$$.fragment,ft),Qo=p(ft),zt=i(ft,"P",{});var Oa=s(zt);Xo=r(Oa,"Function invoked when calling the pipeline for generation."),Oa.forEach(n),Yo=p(ft),h(le.$$.fragment,ft),ft.forEach(n),Zo=p(L),F=i(L,"DIV",{class:!0});var gt=s(F);h(Ue.$$.fragment,gt),ei=p(gt),Nt=i(gt,"P",{});var qa=s(Nt);ti=r(qa,"Enable sliced attention computation."),qa.forEach(n),ni=p(gt),Ft=i(gt,"P",{});var za=s(Ft);oi=r(za,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),za.forEach(n),gt.forEach(n),ii=p(L),pe=i(L,"DIV",{class:!0});var Qn=s(pe);h(Te.$$.fragment,Qn),si=p(Qn),je=i(Qn,"P",{});var Xn=s(je);ai=r(Xn,"Disable sliced attention computation. If "),Vt=i(Xn,"CODE",{});var Na=s(Vt);ri=r(Na,"enable_attention_slicing"),Na.forEach(n),li=r(Xn,` was previously invoked, this method will go
back to computing attention in one step.`),Xn.forEach(n),Qn.forEach(n),pi=p(L),V=i(L,"DIV",{class:!0});var ut=s(V);h(De.$$.fragment,ut),di=p(ut),Mt=i(ut,"P",{});var Fa=s(Mt);ci=r(Fa,"Enable sliced VAE decoding."),Fa.forEach(n),mi=p(ut),Wt=i(ut,"P",{});var Va=s(Wt);fi=r(Va,`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),Va.forEach(n),ut.forEach(n),gi=p(L),de=i(L,"DIV",{class:!0});var Yn=s(de);h(Ae.$$.fragment,Yn),ui=p(Yn),Oe=i(Yn,"P",{});var Zn=s(Oe);hi=r(Zn,"Disable sliced VAE decoding. If "),Gt=i(Zn,"CODE",{});var Ma=s(Gt);_i=r(Ma,"enable_vae_slicing"),Ma.forEach(n),bi=r(Zn,` was previously invoked, this method will go back to
computing decoding in one step.`),Zn.forEach(n),Yn.forEach(n),vi=p(L),D=i(L,"DIV",{class:!0});var K=s(D);h(qe.$$.fragment,K),Pi=p(K),Bt=i(K,"P",{});var Wa=s(Bt);Ii=r(Wa,"Enable memory efficient attention as implemented in xformers."),Wa.forEach(n),yi=p(K),Kt=i(K,"P",{});var Ga=s(Kt);$i=r(Ga,`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),Ga.forEach(n),wi=p(K),Ht=i(K,"P",{});var Ba=s(Ht);xi=r(Ba,`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),Ba.forEach(n),Ci=p(K),h(ce.$$.fragment,K),K.forEach(n),Li=p(L),me=i(L,"DIV",{class:!0});var eo=s(me);h(ze.$$.fragment,eo),Ei=p(eo),Rt=i(eo,"P",{});var Ka=s(Rt);ki=r(Ka,"Disable memory efficient attention as implemented in xformers."),Ka.forEach(n),eo.forEach(n),Si=p(L),fe=i(L,"DIV",{class:!0});var to=s(fe);h(Ne.$$.fragment,to),Ui=p(to),Fe=i(to,"P",{});var no=s(Fe);Ti=r(no,`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, the pipeline\u2019s
models have their state dicts saved to CPU and then are moved to a `),Jt=i(no,"CODE",{});var Ha=s(Jt);ji=r(Ha,"torch.device('meta') and loaded to GPU only when their specific submodule has its "),Ha.forEach(n),Di=r(no,"forward` method called."),no.forEach(n),to.forEach(n),Ai=p(L),U=i(L,"DIV",{class:!0});var O=s(U);h(Ve.$$.fragment,O),Oi=p(O),Z=i(O,"P",{});var ht=s(Z);qi=r(ht,"Add noise to the image embeddings. The amount of noise is controlled by a "),Qt=i(ht,"CODE",{});var Ra=s(Qt);zi=r(Ra,"noise_level"),Ra.forEach(n),Ni=r(ht,` input. A higher
`),Xt=i(ht,"CODE",{});var Ja=s(Xt);Fi=r(Ja,"noise_level"),Ja.forEach(n),Vi=r(ht," increases the variance in the final un-noised images."),ht.forEach(n),Mi=p(O),Yt=i(O,"P",{});var Qa=s(Yt);Wi=r(Qa,"The noise is applied in two ways"),Qa.forEach(n),Gi=p(O),Me=i(O,"OL",{});var oo=s(Me);Zt=i(oo,"LI",{});var Xa=s(Zt);Bi=r(Xa,"A noise schedule is applied directly to the embeddings"),Xa.forEach(n),Ki=p(oo),en=i(oo,"LI",{});var Ya=s(en);Hi=r(Ya,"A vector of sinusoidal time embeddings are appended to the output."),Ya.forEach(n),oo.forEach(n),Ri=p(O),We=i(O,"P",{});var io=s(We);Ji=r(io,"In both cases, the amount of noise is controlled by the same "),tn=i(io,"CODE",{});var Za=s(tn);Qi=r(Za,"noise_level"),Za.forEach(n),Xi=r(io,"."),io.forEach(n),Yi=p(O),nn=i(O,"P",{});var er=s(nn);Zi=r(er,"The embeddings are normalized before the noise is applied and un-normalized after the noise is applied."),er.forEach(n),O.forEach(n),L.forEach(n),Fn=p(t),ee=i(t,"H3",{class:!0});var so=s(ee);ge=i(so,"A",{id:!0,class:!0,href:!0});var tr=s(ge);on=i(tr,"SPAN",{});var nr=s(on);h(Ge.$$.fragment,nr),nr.forEach(n),tr.forEach(n),es=p(so),sn=i(so,"SPAN",{});var or=s(sn);ts=r(or,"StableUnCLIPImg2ImgPipeline"),or.forEach(n),so.forEach(n),Vn=p(t),x=i(t,"DIV",{class:!0});var E=s(x);h(Be.$$.fragment,E),ns=p(E),an=i(E,"P",{});var ir=s(an);os=r(ir,"Pipeline for text-guided image to image generation using stable unCLIP."),ir.forEach(n),is=p(E),Ke=i(E,"P",{});var ao=s(Ke);ss=r(ao,"This model inherits from "),mt=i(ao,"A",{href:!0});var sr=s(mt);as=r(sr,"DiffusionPipeline"),sr.forEach(n),rs=r(ao,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),ao.forEach(n),ls=p(E),M=i(E,"DIV",{class:!0});var _t=s(M);h(He.$$.fragment,_t),ps=p(_t),rn=i(_t,"P",{});var ar=s(rn);ds=r(ar,"Function invoked when calling the pipeline for generation."),ar.forEach(n),cs=p(_t),h(ue.$$.fragment,_t),_t.forEach(n),ms=p(E),W=i(E,"DIV",{class:!0});var bt=s(W);h(Re.$$.fragment,bt),fs=p(bt),ln=i(bt,"P",{});var rr=s(ln);gs=r(rr,"Enable sliced attention computation."),rr.forEach(n),us=p(bt),pn=i(bt,"P",{});var lr=s(pn);hs=r(lr,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),lr.forEach(n),bt.forEach(n),_s=p(E),he=i(E,"DIV",{class:!0});var ro=s(he);h(Je.$$.fragment,ro),bs=p(ro),Qe=i(ro,"P",{});var lo=s(Qe);vs=r(lo,"Disable sliced attention computation. If "),dn=i(lo,"CODE",{});var pr=s(dn);Ps=r(pr,"enable_attention_slicing"),pr.forEach(n),Is=r(lo,` was previously invoked, this method will go
back to computing attention in one step.`),lo.forEach(n),ro.forEach(n),ys=p(E),G=i(E,"DIV",{class:!0});var vt=s(G);h(Xe.$$.fragment,vt),$s=p(vt),cn=i(vt,"P",{});var dr=s(cn);ws=r(dr,"Enable sliced VAE decoding."),dr.forEach(n),xs=p(vt),mn=i(vt,"P",{});var cr=s(mn);Cs=r(cr,`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),cr.forEach(n),vt.forEach(n),Ls=p(E),_e=i(E,"DIV",{class:!0});var po=s(_e);h(Ye.$$.fragment,po),Es=p(po),Ze=i(po,"P",{});var co=s(Ze);ks=r(co,"Disable sliced VAE decoding. If "),fn=i(co,"CODE",{});var mr=s(fn);Ss=r(mr,"enable_vae_slicing"),mr.forEach(n),Us=r(co,` was previously invoked, this method will go back to
computing decoding in one step.`),co.forEach(n),po.forEach(n),Ts=p(E),A=i(E,"DIV",{class:!0});var H=s(A);h(et.$$.fragment,H),js=p(H),gn=i(H,"P",{});var fr=s(gn);Ds=r(fr,"Enable memory efficient attention as implemented in xformers."),fr.forEach(n),As=p(H),un=i(H,"P",{});var gr=s(un);Os=r(gr,`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),gr.forEach(n),qs=p(H),hn=i(H,"P",{});var ur=s(hn);zs=r(ur,`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),ur.forEach(n),Ns=p(H),h(be.$$.fragment,H),H.forEach(n),Fs=p(E),ve=i(E,"DIV",{class:!0});var mo=s(ve);h(tt.$$.fragment,mo),Vs=p(mo),_n=i(mo,"P",{});var hr=s(_n);Ms=r(hr,"Disable memory efficient attention as implemented in xformers."),hr.forEach(n),mo.forEach(n),Ws=p(E),Pe=i(E,"DIV",{class:!0});var fo=s(Pe);h(nt.$$.fragment,fo),Gs=p(fo),ot=i(fo,"P",{});var go=s(ot);Bs=r(go,`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, the pipeline\u2019s
models have their state dicts saved to CPU and then are moved to a `),bn=i(go,"CODE",{});var _r=s(bn);Ks=r(_r,"torch.device('meta') and loaded to GPU only when their specific submodule has its "),_r.forEach(n),Hs=r(go,"forward` method called."),go.forEach(n),fo.forEach(n),Rs=p(E),T=i(E,"DIV",{class:!0});var q=s(T);h(it.$$.fragment,q),Js=p(q),te=i(q,"P",{});var Pt=s(te);Qs=r(Pt,"Add noise to the image embeddings. The amount of noise is controlled by a "),vn=i(Pt,"CODE",{});var br=s(vn);Xs=r(br,"noise_level"),br.forEach(n),Ys=r(Pt,` input. A higher
`),Pn=i(Pt,"CODE",{});var vr=s(Pn);Zs=r(vr,"noise_level"),vr.forEach(n),ea=r(Pt," increases the variance in the final un-noised images."),Pt.forEach(n),ta=p(q),In=i(q,"P",{});var Pr=s(In);na=r(Pr,"The noise is applied in two ways"),Pr.forEach(n),oa=p(q),st=i(q,"OL",{});var uo=s(st);yn=i(uo,"LI",{});var Ir=s(yn);ia=r(Ir,"A noise schedule is applied directly to the embeddings"),Ir.forEach(n),sa=p(uo),$n=i(uo,"LI",{});var yr=s($n);aa=r(yr,"A vector of sinusoidal time embeddings are appended to the output."),yr.forEach(n),uo.forEach(n),ra=p(q),at=i(q,"P",{});var ho=s(at);la=r(ho,"In both cases, the amount of noise is controlled by the same "),wn=i(ho,"CODE",{});var $r=s(wn);pa=r($r,"noise_level"),$r.forEach(n),da=r(ho,"."),ho.forEach(n),ca=p(q),xn=i(q,"P",{});var wr=s(xn);ma=r(wr,"The embeddings are normalized before the noise is applied and un-normalized after the noise is applied."),wr.forEach(n),q.forEach(n),E.forEach(n),this.h()},h(){c(g,"name","hf:doc:metadata"),c(g,"content",JSON.stringify(Ar)),c(m,"id","stable-unclip"),c(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(m,"href","#stable-unclip"),c($,"class","relative group"),c(pt,"href","./stable_diffusion_2"),c(oe,"id","tips"),c(oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(oe,"href","#tips"),c(R,"class","relative group"),c(ie,"id","available-checkpoints"),c(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ie,"href","#available-checkpoints"),c(J,"class","relative group"),c(se,"id","texttoimage-generation"),c(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(se,"href","#texttoimage-generation"),c(Q,"class","relative group"),c(ae,"id","text-guided-imagetoimage-variation"),c(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ae,"href","#text-guided-imagetoimage-variation"),c(X,"class","relative group"),c(re,"id","diffusers.StableUnCLIPPipeline"),c(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(re,"href","#diffusers.StableUnCLIPPipeline"),c(Y,"class","relative group"),c(ct,"href","/docs/diffusers/pr_2715/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),c(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ge,"id","diffusers.StableUnCLIPImg2ImgPipeline"),c(ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ge,"href","#diffusers.StableUnCLIPImg2ImgPipeline"),c(ee,"class","relative group"),c(mt,"href","/docs/diffusers/pr_2715/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),c(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,f){e(document.head,g),I(t,k,f),I(t,$,f),e($,m),e(m,C),_(d,C,null),e($,y),e($,yt),e(yt,vo),I(t,kn,f),I(t,ne,f),e(ne,Po),e(ne,pt),e(pt,Io),e(ne,yo),I(t,Sn,f),I(t,R,f),e(R,oe),e(oe,$t),_(Ie,$t,null),e(R,$o),e(R,wt),e(wt,wo),I(t,Un,f),I(t,j,f),e(j,xo),e(j,xt),e(xt,Co),e(j,Lo),e(j,Ct),e(Ct,Eo),e(j,ko),e(j,Lt),e(Lt,So),e(j,Uo),e(j,Et),e(Et,To),e(j,jo),I(t,Tn,f),I(t,J,f),e(J,ie),e(ie,kt),_(ye,kt,null),e(J,Do),e(J,St),e(St,Ao),I(t,jn,f),I(t,dt,f),e(dt,Oo),I(t,Dn,f),I(t,Q,f),e(Q,se),e(se,Ut),_($e,Ut,null),e(Q,qo),e(Q,Tt),e(Tt,zo),I(t,An,f),_(we,t,f),I(t,On,f),I(t,X,f),e(X,ae),e(ae,jt),_(xe,jt,null),e(X,No),e(X,Dt),e(Dt,Fo),I(t,qn,f),_(Ce,t,f),I(t,zn,f),I(t,Y,f),e(Y,re),e(re,At),_(Le,At,null),e(Y,Vo),e(Y,Ot),e(Ot,Mo),I(t,Nn,f),I(t,w,f),_(Ee,w,null),e(w,Wo),e(w,qt),e(qt,Go),e(w,Bo),e(w,ke),e(ke,Ko),e(ke,ct),e(ct,Ho),e(ke,Ro),e(w,Jo),e(w,N),_(Se,N,null),e(N,Qo),e(N,zt),e(zt,Xo),e(N,Yo),_(le,N,null),e(w,Zo),e(w,F),_(Ue,F,null),e(F,ei),e(F,Nt),e(Nt,ti),e(F,ni),e(F,Ft),e(Ft,oi),e(w,ii),e(w,pe),_(Te,pe,null),e(pe,si),e(pe,je),e(je,ai),e(je,Vt),e(Vt,ri),e(je,li),e(w,pi),e(w,V),_(De,V,null),e(V,di),e(V,Mt),e(Mt,ci),e(V,mi),e(V,Wt),e(Wt,fi),e(w,gi),e(w,de),_(Ae,de,null),e(de,ui),e(de,Oe),e(Oe,hi),e(Oe,Gt),e(Gt,_i),e(Oe,bi),e(w,vi),e(w,D),_(qe,D,null),e(D,Pi),e(D,Bt),e(Bt,Ii),e(D,yi),e(D,Kt),e(Kt,$i),e(D,wi),e(D,Ht),e(Ht,xi),e(D,Ci),_(ce,D,null),e(w,Li),e(w,me),_(ze,me,null),e(me,Ei),e(me,Rt),e(Rt,ki),e(w,Si),e(w,fe),_(Ne,fe,null),e(fe,Ui),e(fe,Fe),e(Fe,Ti),e(Fe,Jt),e(Jt,ji),e(Fe,Di),e(w,Ai),e(w,U),_(Ve,U,null),e(U,Oi),e(U,Z),e(Z,qi),e(Z,Qt),e(Qt,zi),e(Z,Ni),e(Z,Xt),e(Xt,Fi),e(Z,Vi),e(U,Mi),e(U,Yt),e(Yt,Wi),e(U,Gi),e(U,Me),e(Me,Zt),e(Zt,Bi),e(Me,Ki),e(Me,en),e(en,Hi),e(U,Ri),e(U,We),e(We,Ji),e(We,tn),e(tn,Qi),e(We,Xi),e(U,Yi),e(U,nn),e(nn,Zi),I(t,Fn,f),I(t,ee,f),e(ee,ge),e(ge,on),_(Ge,on,null),e(ee,es),e(ee,sn),e(sn,ts),I(t,Vn,f),I(t,x,f),_(Be,x,null),e(x,ns),e(x,an),e(an,os),e(x,is),e(x,Ke),e(Ke,ss),e(Ke,mt),e(mt,as),e(Ke,rs),e(x,ls),e(x,M),_(He,M,null),e(M,ps),e(M,rn),e(rn,ds),e(M,cs),_(ue,M,null),e(x,ms),e(x,W),_(Re,W,null),e(W,fs),e(W,ln),e(ln,gs),e(W,us),e(W,pn),e(pn,hs),e(x,_s),e(x,he),_(Je,he,null),e(he,bs),e(he,Qe),e(Qe,vs),e(Qe,dn),e(dn,Ps),e(Qe,Is),e(x,ys),e(x,G),_(Xe,G,null),e(G,$s),e(G,cn),e(cn,ws),e(G,xs),e(G,mn),e(mn,Cs),e(x,Ls),e(x,_e),_(Ye,_e,null),e(_e,Es),e(_e,Ze),e(Ze,ks),e(Ze,fn),e(fn,Ss),e(Ze,Us),e(x,Ts),e(x,A),_(et,A,null),e(A,js),e(A,gn),e(gn,Ds),e(A,As),e(A,un),e(un,Os),e(A,qs),e(A,hn),e(hn,zs),e(A,Ns),_(be,A,null),e(x,Fs),e(x,ve),_(tt,ve,null),e(ve,Vs),e(ve,_n),e(_n,Ms),e(x,Ws),e(x,Pe),_(nt,Pe,null),e(Pe,Gs),e(Pe,ot),e(ot,Bs),e(ot,bn),e(bn,Ks),e(ot,Hs),e(x,Rs),e(x,T),_(it,T,null),e(T,Js),e(T,te),e(te,Qs),e(te,vn),e(vn,Xs),e(te,Ys),e(te,Pn),e(Pn,Zs),e(te,ea),e(T,ta),e(T,In),e(In,na),e(T,oa),e(T,st),e(st,yn),e(yn,ia),e(st,sa),e(st,$n),e($n,aa),e(T,ra),e(T,at),e(at,la),e(at,wn),e(wn,pa),e(at,da),e(T,ca),e(T,xn),e(xn,ma),Mn=!0},p(t,[f]){const rt={};f&2&&(rt.$$scope={dirty:f,ctx:t}),le.$set(rt);const Cn={};f&2&&(Cn.$$scope={dirty:f,ctx:t}),ce.$set(Cn);const Ln={};f&2&&(Ln.$$scope={dirty:f,ctx:t}),ue.$set(Ln);const En={};f&2&&(En.$$scope={dirty:f,ctx:t}),be.$set(En)},i(t){Mn||(b(d.$$.fragment,t),b(Ie.$$.fragment,t),b(ye.$$.fragment,t),b($e.$$.fragment,t),b(we.$$.fragment,t),b(xe.$$.fragment,t),b(Ce.$$.fragment,t),b(Le.$$.fragment,t),b(Ee.$$.fragment,t),b(Se.$$.fragment,t),b(le.$$.fragment,t),b(Ue.$$.fragment,t),b(Te.$$.fragment,t),b(De.$$.fragment,t),b(Ae.$$.fragment,t),b(qe.$$.fragment,t),b(ce.$$.fragment,t),b(ze.$$.fragment,t),b(Ne.$$.fragment,t),b(Ve.$$.fragment,t),b(Ge.$$.fragment,t),b(Be.$$.fragment,t),b(He.$$.fragment,t),b(ue.$$.fragment,t),b(Re.$$.fragment,t),b(Je.$$.fragment,t),b(Xe.$$.fragment,t),b(Ye.$$.fragment,t),b(et.$$.fragment,t),b(be.$$.fragment,t),b(tt.$$.fragment,t),b(nt.$$.fragment,t),b(it.$$.fragment,t),Mn=!0)},o(t){v(d.$$.fragment,t),v(Ie.$$.fragment,t),v(ye.$$.fragment,t),v($e.$$.fragment,t),v(we.$$.fragment,t),v(xe.$$.fragment,t),v(Ce.$$.fragment,t),v(Le.$$.fragment,t),v(Ee.$$.fragment,t),v(Se.$$.fragment,t),v(le.$$.fragment,t),v(Ue.$$.fragment,t),v(Te.$$.fragment,t),v(De.$$.fragment,t),v(Ae.$$.fragment,t),v(qe.$$.fragment,t),v(ce.$$.fragment,t),v(ze.$$.fragment,t),v(Ne.$$.fragment,t),v(Ve.$$.fragment,t),v(Ge.$$.fragment,t),v(Be.$$.fragment,t),v(He.$$.fragment,t),v(ue.$$.fragment,t),v(Re.$$.fragment,t),v(Je.$$.fragment,t),v(Xe.$$.fragment,t),v(Ye.$$.fragment,t),v(et.$$.fragment,t),v(be.$$.fragment,t),v(tt.$$.fragment,t),v(nt.$$.fragment,t),v(it.$$.fragment,t),Mn=!1},d(t){n(g),t&&n(k),t&&n($),P(d),t&&n(kn),t&&n(ne),t&&n(Sn),t&&n(R),P(Ie),t&&n(Un),t&&n(j),t&&n(Tn),t&&n(J),P(ye),t&&n(jn),t&&n(dt),t&&n(Dn),t&&n(Q),P($e),t&&n(An),P(we,t),t&&n(On),t&&n(X),P(xe),t&&n(qn),P(Ce,t),t&&n(zn),t&&n(Y),P(Le),t&&n(Nn),t&&n(w),P(Ee),P(Se),P(le),P(Ue),P(Te),P(De),P(Ae),P(qe),P(ce),P(ze),P(Ne),P(Ve),t&&n(Fn),t&&n(ee),P(Ge),t&&n(Vn),t&&n(x),P(Be),P(He),P(ue),P(Re),P(Je),P(Xe),P(Ye),P(et),P(be),P(tt),P(nt),P(it)}}}const Ar={local:"stable-unclip",sections:[{local:"tips",sections:[{local:"available-checkpoints",title:"Available checkpoints:"},{local:"texttoimage-generation",title:"Text-to-Image Generation"},{local:"text-guided-imagetoimage-variation",title:"Text guided Image-to-Image Variation"},{local:"diffusers.StableUnCLIPPipeline",title:"StableUnCLIPPipeline"},{local:"diffusers.StableUnCLIPImg2ImgPipeline",title:"StableUnCLIPImg2ImgPipeline"}],title:"Tips"}],title:"Stable unCLIP"};function Or(z){return kr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Mr extends xr{constructor(g){super();Cr(this,g,Or,Dr,Lr,{})}}export{Mr as default,Ar as metadata};
